## bootcd 6.01.03

=== debian/changelog ===
bootcd (6.01.03) unstable; urgency=medium

  * fdutils deleted from debian/control

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 17 Aug 2020 07:50:27 +0200

bootcd (6.01.02) unstable; urgency=medium

  * dropped dependencies to fdutils, because it seems not to be needed anymore

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 12 Aug 2020 08:27:49 +0200

bootcd (6.01.01) unstable; urgency=medium

  * Fixed bug "bootcd: Build-Depends on deprecated dh-systemd which is going
    away" reported by Michael Biebl <biebl@debian.org>. closes: 958582

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 24 Apr 2020 08:14:05 +0200

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
Build-Depends: debhelper (>= 12.1.1), python3-docutils, shellia (>= 5.5.1)
Standards-Version: 3.9.8

Package: bootcd
Architecture: all
Suggests: ssh, discover | discover1, elilo, aufs-tools
Depends: ${misc:Depends}, genisoimage, xorriso, cpio, file, dosfstools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~), e2fsprogs, shellia (>= 5.5.1), grub-efi-amd64-bin
Recommends: wodim
Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
Description: bootcd tools can copy a running or mounted Debian system.
 Different boot configuration are supportet (efi, old bios, secure boot).
 bootcdwrite creates an ISO life-cd file called bootcd using an overlayfs.
 bootcdflopcp writes changes from overlayfs to floppy disk, when running from bootcd.
 bootcd2disk writes bootable disks (with or without lvm, ext2, ext3, ext4, vfat, swap).

## bootcd 6.4

=== debian/changelog ===
bootcd (6.4) unstable; urgency=medium

  * Fix: bootcd2disk --only_mount without LUKS does not ask for LUKS password
  * Fix: use grub-install with option --force to overwrite uncorrect warnings
  * Fix: bootcd2disk.lib: better "ignore rsync warning" match
  * Fix: Renamed old Changelog to OldChangeloog, to allow "apt changelog bootcd"
  * Fix: some doku in bootcd2disk.conf-5.rst
  * Fix: some comments in bootcd2disk.conf.src
  * Add: Variables GRUB_INSTALL_OPTS_BIOS and GRUB_INSTALL_OPTS_EFI

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 05 Nov 2020 19:54:55 +0100

bootcd (6.3) unstable; urgency=medium

  * always use gawk instead of awk to make testing more reliable

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 04 Nov 2020 19:52:35 +0100

bootcd (6.2) unstable; urgency=medium

  * prepare for debian release
  * cleaned up debian changelog

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 29 Aug 2020 12:16:06 +0200

bootcd (6.2~6) UNRELEASED; urgency=medium

  * new meaning of release numbers in bootcd (x=1-9999999 without leading 0)
    x.x~x: Dev: Unreleased Devevloment Version
    x.x:   Release: First released Version
    x.x.x: Fix: Fixed released Version
  * make sure variable LIBRARIES has no spaces and no double slash
  * dependencies to fdutils dropped
  * backup.bootcd2disk.conf.src: added -p to mkdir, needed with --only_sync
  * bootcd, bootcd-usage.lib: better usage error handling
  * better doku in manpages and config-files
  * bootcd2disk.conf-5.rst: added do_last()
  * bootcd2disk-check.lib: do not check is_disk_used with --only_unmount
  * bootcd2disk.lib: fixes in calc_rsync_src()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 27 Jul 2020 10:16:44 +0200

bootcd (6.2~5) UNRELEASED; urgency=medium

  * bootcdwrite: default APPEND no longer includes "vga=normal nomodeset"
  * bootcdwrite: faster boot with bad floppy device
  * source: src2conf has new version --without
  * bootcd2disk: added EXCLUDE
  * bootcd2disk: deleted TRYFIRST and added ALLOWEDDISKS
  * bootcd2disk: now uses rsync to copy data
  * bootcd2disk: added Option --only_sync
  * bootcd2disk: size of /boot increased from 100 to 200MB

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 21 Jun 2020 09:18:04 +0200

bootcd (6.2~4) UNRELEASED; urgency=medium

  * added bootcd2disk OPTION: ORDER.
  * added md.bootcd2disk.conf.src
  * added luks.bootcd2disk.conf.src
  * added -p|--only_print_options to bootcd2disk
  * allow conf files to influence more program logic
  * conf files allow to define a function to build conf

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 20 Apr 2020 16:50:12 +0200

bootcd (6.2~3) UNRELEASED; urgency=medium

  * example files renamed to <example-name>.<normal-config-name>
  * debug can show used LIBRARIES
  * to test a function while development lib_dev_test() can now be used
  * debug can show used bootcd variables
  * better calculation of existing disks with lsblk
  * started to delete old warnings: auto makes only sence ...
  * better SFDISK# rst description
  * added parameter to function readinfo
  * bootcdmk2diskconf.tst* now checks not only single vars but full config
  * added bootcd2disk.conf.src bootcdwrite.conf.src
  * migrated vars MOUNT and UMOUNT to funcs bootcd_mount() and bootcd_umount()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 20 Apr 2020 16:49:42 +0200

bootcd (6.2~2) UNRELEASED; urgency=medium

  * improved functions prepare_chroot and unprepare_chroot and
    added function umount_recursive to use mount with option --bind when possible
    and umount also mounted subdirs
  * moved UUID handling from spcialized function set_SWAP_RESUME... to more
    general functions disk2real and disk2realvar
  * fixed and tested included example bootcd2disk.conf.lvm
  * make sure lvcreate will not ask questions
  * added function bootcd_global to be used in custom functions
  * added src2conf to create example conf files
  * added bootcd2disk.conf.lvm.src to create bootcd2disk.conf.lvm
  * better doku to give a custom function as option

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 08 Apr 2020 08:19:23 +0200

bootcd (6.2~1) UNRELEASED; urgency=medium

  * added built txt files to git, to be able to verify changes, if build tools
    or sources change
  * add warning to bootcdconf.lib, that it is created automatically
  * in manpage write DISK# and SFDISK# to represent DISK0 to DISK99 and
    SFDISK0 to SFDISK99
  * allow DISK# and SFDISK# to be defined as commandline option in bootcd2disk
  * fixed Date and Copyright in all files
  * added debug function print_bootcd_vars
  * splitted function warn_2disk in 2 parts
  * changed bootcdrst to split readopts_bootcd, readopts_bootcd,
    readopts_bootcdwrite, readopts_bootcd2disk, readopts_bootcdmk2diskconf
    and readopts_bootcdbackup in 2 parts
  * fixed debian/examples, which listed too many files

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 05 Apr 2020 15:56:09 +0200

bootcd (6.00~06) UNRELEASED; urgency=medium

  * Allow to define functions after_copy(), do_first() and extra_changes() on
    commandline.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 05 Nov 2019 15:26:52 +0100

bootcd (6.00~05) UNRELEASED; urgency=medium

  * Create man page: bootcd2disk.conf.5, config file: bootcd2disk.conf and
    function defaults_bootcd2disk() from source bootcd2disk.conf-5.rst
  * upgrade copyright from to gpl2 to gpl3

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 29 Aug 2019 11:45:11 +0200

bootcd (6.00~04) UNRELEASED; urgency=medium

  * support xfs
  * bootcdbackup of redhat7, without lvm tested
  * option --yes added. (variable YES obsoletes variable SCRIPT)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 05 Jul 2019 09:38:57 +0200

bootcd (6.00~03) UNRELEASED; urgency=medium

  * use xorriso instead of genisoimage
  * support efiboot

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 26 Jan 2019 16:43:43 +0100



=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
Build-Depends: debhelper (>= 12.1.1), python3-docutils, shellia (>= 5.6.5), gawk
Standards-Version: 3.9.8

Package: bootcd
Architecture: all
Suggests: ssh, discover | discover1, elilo, aufs-tools
Depends: ${misc:Depends}, busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.6.5), syslinux, syslinux-common, xorriso
# genisoimage is needed because it contains mkzftree
Recommends: wodim
Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
Description: bootcd tools can copy a running or mounted Debian system.
 Different boot configuration are supportet (efi, old bios, secure boot).
 bootcdwrite creates an ISO life-cd file called bootcd using an overlayfs.
 bootcdflopcp writes changes from overlayfs to floppy disk, when running from bootcd.
 bootcd2disk writes bootable disks (with or without lvm, ext2, ext3, ext4, vfat, swap).

## bootcd 6.5

=== Makefile ===
# Makefile
#

BIN=          bootcd
USRLIBS=      bootcd-run.lib bootcd-check.lib bootcd-usage.lib \
              bootcd.lib bootcd2disk.lib default.txt bootcdwrite.lib \
              bootcd2disk-check.lib bootcdmk2diskconf.lib bootcdbackup.lib \
			  bootcdconf.lib
USREXLIBS=    bootcdflopcp bootcdmodprobe bootcdproberoot
CONFFILES=    bootcdwrite.conf isolinux.cfg syslinux.cfg bootcd2disk.conf
EXAMPLECONF=  lvm.bootcd2disk.conf luks.bootcd2disk.conf md.bootcd2disk.conf \
			  backup.bootcd2disk.conf
INITTOP=      runbootcdmodprobe
LOCALBOTTOM=  bootcdoverlayfs
INITPREMOUNT= runbootcdproberoot
INITHOOK=     bootcdinitramfshook
MAN=          bootcdwrite.1 bootcd2disk.1 bootcdflopcp.1 bootcd2disk.conf.5 \
			  bootcdwrite.conf.5 bootcd.7 bootcdmk2diskconf.1 \
			  bootcdbackup.1 thisbootcd.conf.5
SYMLINK=      bootcdwrite bootcdmk2diskconf bootcd2disk bootcdbackup
INITRAMFSDEST=$(DESTDIR)/usr/share/initramfs-tools

all: checks ${EXAMPLECONF}

clean:
	@rm -f bootcdconf.lib bootcd2disk.conf bootcdwrite.conf ${MAN} ${SYMLINK} ${EXAMPLECONF}

install: all
	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd/
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
	@install -m 755 -o root -g root $(LOCALBOTTOM) $(INITRAMFSDEST)/scripts/local-bottom/
	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/

checks: ${USRLIBS} ${USREXLIBS} ${INITTOP} ${MAN} ${CONFFILES} ${SYMLINK}
	@for i in bootcdmk2diskconf.tst[0-9]*; do \
	  ./$$i; e=$$?; if [ $$e != 0 ]; then echo "./$$i returned $$e"; exit $$e; fi; \
	done

$(SYMLINK):
	@ln -s bootcd $@

bootcdconf.lib: bootcdwrite-1.rst bootcd2disk-1.rst bootcdflopcp-1.rst bootcd2disk.conf-5.rst \
	bootcdwrite.conf-5.rst bootcd-7.rst bootcdrst bootcdmk2diskconf-1.rst
	@./bootcdrst  $@ > $@

%.conf: src2conf bootcdconf.lib %.conf.src
	@./src2conf  $@ > $@

%.1: %-1.rst
	@rst2man $< $@

%.5: %-5.rst
	@rst2man $< $@

%.7: %-7.rst
	@rst2man $< $@

=== debian/changelog ===
bootcd (6.5) unstable; urgency=medium

  * Make sure the correct bootcd ISO is found when booting,
    with a bootcd specific UUID
  * debian/compat=13

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 20 Jul 2021 10:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: bootcd
 Architecture: all
 Suggests: ssh, discover | discover1, elilo, aufs-tools
-Depends: ${misc:Depends}, busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.6.5), syslinux, syslinux-common, xorriso
+Depends: busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.6.5), syslinux, syslinux-common, xorriso, uuid-runtime
 # genisoimage is needed because it contains mkzftree
 Recommends: wodim
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_QUIET=1

%:
	@dh $@

## bootcd 6.6.2

=== debian/changelog ===
bootcd (6.6.2) unstable; urgency=medium

  * Mount efivarfs in chroot if available
  * Delete EFI/debian and EFI/BOOT before recreating

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 21 Jun 2022 13:45:41 +0200

bootcd (6.6.1) unstable; urgency=medium

  * Fixed bug "bootcd: No zstd support for initramfs,
    getting error about initrd beeing not in gzip format"
    reported by Juozas Pocius <juozaspo@gmail.com>. Closes: #1012327
  * Deleted Function check_initrd which contained old checks
    that are not needed anymore
  * Forward os-prober Warning seen in sid to stdout

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 07 Jun 2022 14:38:37 +0200

bootcd (6.6) unstable; urgency=medium

  * tested with shellia 5.7
  * Fix: bootcd2disk.lib: warn_2disk() fix variable "used" for multiple entries
  * Fix: bootcd2disk.lib: comment out unused function run_zerodisk()
  * Add: bootcd-run.lib: umount_recursive(): try multiple times to umount
  * Fix: example md.bootcd2disk.conf now works with more grub2 versions

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 18 Mar 2022 12:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
-Build-Depends: debhelper (>= 12.1.1), python3-docutils, shellia (>= 5.6.5), gawk
+Build-Depends: debhelper (>= 12.1.1), python3-docutils, shellia (>= 5.7), gawk
 Standards-Version: 3.9.8
 
 Package: bootcd

## bootcd 6.6.3+nmu1

=== debian/changelog ===
bootcd (6.6.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:54:48 +0200

bootcd (6.6.3) unstable; urgency=medium

  * fix lib_dev_test for calc_rsync_exclude
  * add function create_target_mountpoints to create an additional source dir
    for cpio, to prevent trying to delete mountpoints with option --delete

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 27 Sep 2022 13:16:03 +0200

## bootcd 6.6.4

=== debian/changelog ===
bootcd (6.6.4) unstable; urgency=medium

  * partdisk: only zerodsk partitions, not the full disk
  * bootcdproberoot: make sure sr0 (if found) will be tried first

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 07 Nov 2022 09:34:22 +0100

## bootcd 6.6.5

=== debian/changelog ===
bootcd (6.6.5) unstable; urgency=medium

  * increase /boot from 100 to 200 MB in example config files
  * remove bootcdbackup, because not used and untested
  * added cpmod(), to make sure permissions on ISO root are correct
  * Handle new warnings from bootloadercfg and
    suppress output from grub using or not using os-prober
  * extensive tested with debian bookworm
  * SSHHOSTKEY now has to be yes|no, instead of yes|no|unchanged
  * changed email to bernd@bschu.de
  * Standards-Version: 4.6.1

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 22 Dec 2022 09:58:04 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd@bschu.de>
Rules-Requires-Root: binary-targets
Build-Depends:
 debhelper-compat (= 13), python3-docutils, shellia (>= 5.7.5), gawk
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/bootcd
Vcs-Git: https://salsa.debian.org/debian/bootcd.git

Package: bootcd
Architecture: all
Suggests: ssh, discover | discover1, elilo, aufs-tools
Depends: busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.7.5), syslinux, syslinux-common, xorriso, uuid-runtime
# genisoimage is needed because it contains mkzftree
Recommends: wodim
Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
Description: bootcd tools can copy a running or mounted Debian system.
 Different boot configuration are supportet (efi, old bios, secure boot).
 bootcdwrite creates an ISO life-cd file called bootcd using an overlayfs.
 bootcdflopcp writes changes from overlayfs to floppy disk, when running from bootcd.
 bootcd2disk writes bootable disks (with or without lvm, ext2, ext3, ext4, vfat, swap).

## bootcd 6.8

=== debian/changelog ===
bootcd (6.8) unstable; urgency=medium

  * support blank " ", dollar ($), backslash (\), qoute ("), backquote (`) in
    bootcdwrite.conf config variable: NOT_TO_CD and in
    bootcd2disk.conf config variable: EXCLUDE. closes: 1060062

 -- Bernd Schumacher <bernd@bschu.de>  Fri, 26 Jan 2024 11:31:06 +0100

bootcd (6.7) unstable; urgency=medium

  * prepare for debian release 6.7
  * Standards-Version: 4.6.2
  * tested with debian trixie
  * removed old README.debian
  * tested with shellia 5.8

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 07 Dec 2023 08:56:47 +0100

bootcd (6.6.6) unstable; urgency=medium

  * typo fixes Thanks to Igor Lysakov

 -- Bernd Schumacher <bernd@bschu.de>  Tue, 30 May 2023 16:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Bernd Schumacher <bernd@bschu.de>
 Rules-Requires-Root: binary-targets
 Build-Depends:
- debhelper-compat (= 13), python3-docutils, shellia (>= 5.7.5), gawk
-Standards-Version: 4.6.1
+ debhelper-compat (= 13), python3-docutils, shellia (>= 5.9), gawk
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/bootcd
 Vcs-Git: https://salsa.debian.org/debian/bootcd.git
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, discover | discover1, elilo, aufs-tools
-Depends: busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.7.5), syslinux, syslinux-common, xorriso, uuid-runtime
+Depends: busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.9), syslinux, syslinux-common, xorriso, uuid-runtime
 # genisoimage is needed because it contains mkzftree
 Recommends: wodim
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup

## bootcd 6.8.1

=== debian/changelog ===
bootcd (6.8.1) unstable; urgency=medium

  * Fakeroot's output "libfakeroot internal error: payload not recognized!"
    is now ignored. closes: 1074720

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 11 Jul 2024 14:55:42 +0200

## bootcd 6.8.2

=== debian/changelog ===
bootcd (6.8.2) unstable; urgency=medium

  * fix regex to ignore mkswap warning, when wiping an old signature

 -- Bernd Schumacher <bernd@bschu.de>  Mon, 02 Dec 2024 17:40:51 +0100

## bootcd 6.9

=== debian/changelog ===
bootcd (6.9) unstable; urgency=medium

  * do not try to attach/detach LUKS swap when calling bootcd2disk
    with options --only_mount, --only_unmount or --only_sync

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 28 Aug 2025 08:40:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: binary-targets
 Build-Depends:
  debhelper-compat (= 13), python3-docutils, shellia (>= 5.9), gawk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/bootcd
 Vcs-Git: https://salsa.debian.org/debian/bootcd.git

## bootcd 6.9.1

=== Makefile ===
--- 
+++ 
@@ -4,20 +4,20 @@
 BIN=          bootcd
 USRLIBS=      bootcd-run.lib bootcd-check.lib bootcd-usage.lib \
               bootcd.lib bootcd2disk.lib default.txt bootcdwrite.lib \
-              bootcd2disk-check.lib bootcdmk2diskconf.lib bootcdbackup.lib \
+              bootcd2disk-check.lib bootcdmk2diskconf.lib \
 			  bootcdconf.lib
 USREXLIBS=    bootcdflopcp bootcdmodprobe bootcdproberoot
 CONFFILES=    bootcdwrite.conf isolinux.cfg syslinux.cfg bootcd2disk.conf
 EXAMPLECONF=  lvm.bootcd2disk.conf luks.bootcd2disk.conf md.bootcd2disk.conf \
-			  backup.bootcd2disk.conf
+              backup.bootcd2disk.conf
 INITTOP=      runbootcdmodprobe
 LOCALBOTTOM=  bootcdoverlayfs
 INITPREMOUNT= runbootcdproberoot
 INITHOOK=     bootcdinitramfshook
 MAN=          bootcdwrite.1 bootcd2disk.1 bootcdflopcp.1 bootcd2disk.conf.5 \
 			  bootcdwrite.conf.5 bootcd.7 bootcdmk2diskconf.1 \
-			  bootcdbackup.1 thisbootcd.conf.5
-SYMLINK=      bootcdwrite bootcdmk2diskconf bootcd2disk bootcdbackup
+			  thisbootcd.conf.5
+SYMLINK=      bootcdwrite bootcdmk2diskconf bootcd2disk
 INITRAMFSDEST=$(DESTDIR)/usr/share/initramfs-tools
 
 all: checks ${EXAMPLECONF}

=== debian/changelog ===
bootcd (6.9.1) unstable; urgency=medium

  * don't suggest unavailable packages. closes 1117810 

 -- Bernd Schumacher <bernd@bschu.de>  Sat, 11 Oct 2025 13:55:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: bootcd
 Architecture: all
-Suggests: ssh, discover | discover1, elilo, aufs-tools
+Suggests: ssh, discover, aufs-tools
 Depends: busybox | busybox-static | busybox-cvs | busybox-cvs-static, cpio, dosfstools, e2fsprogs, fdisk | util-linux (<< 2.29.2-3~), file, genisoimage, initramfs-tools, grub-efi-amd64-bin, isolinux, lsb-base (>= 3.0-6), rsync, shellia (>= 5.9), syslinux, syslinux-common, xorriso, uuid-runtime
 # genisoimage is needed because it contains mkzftree
 Recommends: wodim

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
